﻿using Microsoft.Practices.Prism.Mvvm;

namespace XamDataGrid_Testing
{
	public class Device : BindableBase
	{
		private string name;
		private string oem;
		private bool isModified;

		public string Name
		{
			get { return name; }
			set
			{
				name = value;
				OnPropertyChanged(() => Name);
				IsModified = true;
			}
		}

		public string OEM
		{
			get { return oem; }
			set
			{
				oem = value;
				OnPropertyChanged(() => OEM);
				IsModified = true;
			}
		}

		public bool IsModified
		{
			get { return isModified; }
			set
			{
				isModified = value;
				OnPropertyChanged(() => IsModified);
			}
		}
	}
}